Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
newyddion Posted on 30/06/2017 13:54
Norwich Accept £5m for Jonny Howson
 
 
So.. what does this mean then?
IP: Logged
Cleveleyssmoggie Posted on 30/06/2017 13:55

Norwich Accept £5m for Jonny Howson

 
They don't want him?
IP: Logged
Dr_Drake_Ramoray Posted on 30/06/2017 13:56

Norwich Accept £5m for Jonny Howson

 
Who?!
IP: Logged
newyddion Posted on 30/06/2017 13:56

Norwich Accept £5m for Jonny Howson

 
Who will he replace and does it give any indication for further signings?
IP: Logged
Stephenw167 Posted on 30/06/2017 13:57
Edited On: 30/06/2017 14:06
Norwich Accept £5m for Jonny Howson

 
He wants to move oop north according to reports

£5 million and he moves, cheaper than Snodgrass

It also may give insight into if you don't go back up after being relegated you become a selling club every quickly as they've offloaded quite a few
IP: Logged
GraftLikeNegredo Posted on 30/06/2017 14:00

Norwich Accept £5m for Jonny Howson

 
Great signing for the championship, I'd be more than happy to have him in the ranks.

The price does seem a tad excessive, but again, it's not my money!
IP: Logged
GraftLikeNegredo Posted on 30/06/2017 14:06

Norwich Accept £5m for Jonny Howson

 
...and Norwich haven't accepted any bid, I doubt any bid has even been made.
IP: Logged
brad_jones_fan_club Posted on 30/06/2017 14:07

Norwich Accept £5m for Jonny Howson

 
He's from Grassington. Nice place to come home to....
IP: Logged
American_Mary Posted on 30/06/2017 14:08

Norwich Accept £5m for Jonny Howson

 
£5m for Howson isn't bad business at all, especially with his record. Good player who will add goals from our midfield.
IP: Logged
Marvanelli Posted on 30/06/2017 14:12

Norwich Accept £5m for Jonny Howson

 
Definitely be happy with Howson [^]
IP: Logged
canyoudigit Posted on 30/06/2017 14:16

Norwich Accept £5m for Jonny Howson

 
Glass half full: good championship midfielder with a goal or assist roughly every 6 matches,highly rated by Norwich and especially Leeds fans.
Glass half empty: Ageing midfielder replacing a younger and better version in de roon,reminds me a bit of replacing Luke Young with Justin Hoyte!
Take your pick ?
IP: Logged
LTS_3 Posted on 30/06/2017 14:34

Norwich Accept £5m for Jonny Howson

 
Accept £5M bid from who, us? Can't see anything anywhere about this
IP: Logged
wilkos_perm Posted on 30/06/2017 14:37

Norwich Accept £5m for Jonny Howson

 
A strange comparison, Hoyte was indeed a lot worse than Young, but a lot older.
IP: Logged
fattyfoggon Posted on 30/06/2017 14:38
Edited On: 30/06/2017 14:39
Norwich Accept £5m for Jonny Howson

 
...

Link: gazzzzzeettttttttteeeee
IP: Logged
canyoudigit Posted on 30/06/2017 14:43
Edited On: 30/06/2017 14:44
Norwich Accept £5m for Jonny Howson

 
Yeah I meant quality of the two rather than age,when you sell your better players and replace them with lesser ones it invariably doesn't end well,ideal scenario we keep de roon and sign howson to play alongside him and clayton
IP: Logged
GraftLikeNegredo Posted on 30/06/2017 14:48

Norwich Accept £5m for Jonny Howson

 
Unfortunately that's what happens when you get relegated.

And is 29 really "ageing"!? [sad]
IP: Logged
Pogatetz_Ate_My_Hamster_ Posted on 30/06/2017 14:54

Norwich Accept £5m for Jonny Howson

 
Excellent business at that price
IP: Logged
Dr_Drake_Ramoray Posted on 30/06/2017 15:00

Norwich Accept £5m for Jonny Howson

 
£5m for him! Can honestly say I've never even noticed him whenever he's played against us.
IP: Logged
Ticker_Tape Posted on 30/06/2017 15:21

Norwich Accept £5m for Jonny Howson

 
Hes half decent, not a bad buy if we get him.
IP: Logged
fattyfoggon Posted on 30/06/2017 15:23

Norwich Accept £5m for Jonny Howson

 
did he not get sent off against us whilst playing for leeds
IP: Logged
guyb Posted on 30/06/2017 15:28

Norwich Accept £5m for Jonny Howson

 
Missed a stone cold sitter against us when we won 1-0 down there in the league. Good busy player though.

Although if he signs I can't see a place for Forshaw.
IP: Logged
Ticker_Tape Posted on 30/06/2017 15:30

Norwich Accept £5m for Jonny Howson

 
When we beat em at there place 1-0
IP: Logged
boksic Posted on 30/06/2017 15:48

Norwich Accept £5m for Jonny Howson

 
He's from Morley, no connection to Grassinton as far as I can see?
IP: Logged
Jonny_Ingbar Posted on 30/06/2017 15:53

Norwich Accept £5m for Jonny Howson

 
"good championship midfielder with a goal or assist roughly every six matches"

I think it's actually every three, his stats are impressive.
IP: Logged
boro19 Posted on 30/06/2017 16:01

Norwich Accept £5m for Jonny Howson

 
Goal scoring midfielder who has scored some worldies good business. However probley means De roon is off so we will have a profit on this.
IP: Logged
hopesoboro Posted on 30/06/2017 16:12

Norwich Accept £5m for Jonny Howson

 
I don't like to criticize Boro players but if we can get Howson for £5m and sell de Roon for £12m then I'd be tempted.as long as wages comparable
IP: Logged
tonymow Posted on 30/06/2017 16:13

Norwich Accept £5m for Jonny Howson

 
Happy with howson .[^]
IP: Logged
canyoudigit Posted on 30/06/2017 16:31

Norwich Accept £5m for Jonny Howson

 
If he gets a goal or assist every 3 games for us from centre mid then we've pulled their pants down for 5m!
I can't help feeling that de roon will come on for his first season in England and actually improve a lot this year,i think we should definitely have a sell on clause inserted into any deal
IP: Logged
Jonny_Ingbar Posted on 30/06/2017 16:50

Norwich Accept £5m for Jonny Howson

 
"I don't like to criticize Boro players but if we can get Howson for £5m and sell de Roon for £12m then I'd be tempted.as long as wages comparable"

De Room took a relegation hit with his wages, so the answer is probably yes.
IP: Logged
bxboro Posted on 30/06/2017 16:51

Norwich Accept £5m for Jonny Howson

 
My Norwich friends cannot believe we are paying that much for him
IP: Logged
wartle Posted on 30/06/2017 16:54

Norwich Accept £5m for Jonny Howson

 
Terrible signing. £2m player at best. Hardly adding pace and flair to the team.
IP: Logged
BOROMAN28 Posted on 30/06/2017 18:18

Norwich Accept £5m for Jonny Howson

 
Smashing the league[cr][cr][cr]
Not with johnny howson
Buy whoever Mogga is looking at,that man has an eye for talent
IP: Logged
wombledon Posted on 30/06/2017 18:20
Edited On: 07/12/2017 23:34
Norwich Accept £5m for Jonny Howson

 
He's more effective than Forshaw, will get about the pitch more than Leadbitter and he's better than Guedioura.

I don't see him as a replacement for De Roon, two different players.
IP: Logged
streetwise Posted on 30/06/2017 20:27

Norwich Accept £5m for Jonny Howson

 
Snoddy is a different class and we do want promotion.
Hammers would want somewhere near what he cost them.
IP: Logged
hopesoboro Posted on 30/06/2017 20:34

Norwich Accept £5m for Jonny Howson

 
"De Room took a relegation hit with his wages, "
Is that a fact?
IP: Logged
HezBurra Posted on 30/06/2017 20:45

Norwich Accept £5m for Jonny Howson

 
if he can play the cm role in our formation but will add goals and will attack and provide assists then surely that is an improvement and is exactly what we are crying out for. The cost Of the player should reflect what he is worth to us. It's a priority area that pretty every boro fan has commented over he last couple of years, playing two defensively minded cm players who don't get forward and contribute in attack.
IP: Logged
Boromart Posted on 30/06/2017 21:18

Norwich Accept £5m for Jonny Howson

 
"Terrible signing. £2m player at best. Hardly adding pace and flair to the team." --2mill gets you nothing these days. Howson is a top champo CMer, although probably not quite good enough for the prem.

Last season he had 6 goals and 7 assists in 37 games, despite largely playing as a defensive midfielder.

In 14/15 he had 9 goals 6 assists in 35 matches,and 83% passing as Norwich got promoted.

132 championship games, 26 goals. We don't have anyone with a record like that. That's 9 goals from midfield if he plays a full season.
IP: Logged
middlesbrough123 Posted on 30/06/2017 21:21

Norwich Accept £5m for Jonny Howson

 
At 29 he'd probably be gone in a yr if we went straight back up looks like de roon will be off then but atleast his value should appreciate unlike this fella . De room seems cheap in comparison
IP: Logged
biggy Posted on 30/06/2017 21:23

Norwich Accept £5m for Jonny Howson

 
Mates a Norwich fan. Adores him and is devastated he is going. Says he is quality.
IP: Logged
Dr_Drake_Ramoray Posted on 30/06/2017 21:43

Norwich Accept £5m for Jonny Howson

 
Just asked a mate who's a big Leeds fan. Said he's 'tripe'... loved Monk though!
IP: Logged
expat_smoggie Posted on 30/06/2017 21:50

Norwich Accept £5m for Jonny Howson

 
Norwich's best player?
IP: Logged
glover_elbow Posted on 30/06/2017 21:58

Norwich Accept £5m for Jonny Howson

 
Don't know why people are getting upset at deroon going he was never going to stay
IP: Logged
HotshotMFC Posted on 01/07/2017 10:59
Edited On: 01/07/2017 11:01
Norwich Accept £5m for Jonny Howson

 
"Just asked a mate who's a big Leeds fan. Said he's 'tripe'... loved Monk though!"

I have actually seen him myself and think that he would be an asset and certainly would enhance our promotion chances.
I'm inclined to take opinions of "big Leeds fan" with a pinch of salt. Sour grapes (sorry about the food references) could come into it when he abandoned their promotion effort.
He's almost always been Leeds best player when I've watched them.
IP: Logged
Borocelt Posted on 01/07/2017 11:01

Norwich Accept £5m for Jonny Howson

 
Why on earth would we need *another* CM. Totally bonkers.
IP: Logged
festa5 Posted on 01/07/2017 11:09

Norwich Accept £5m for Jonny Howson

 
Think we have to accept that £5m just isn't that much in today's market, as ridiculous as it is.

He's better than what we've got. Good record at championship level and will add goals and creativity from central midfield, something we've been lacking for some time.

Good signing for me. Not particularly exciting but he'd definitely improve us. If all our signings do that, we'll be in a good position.
IP: Logged
brad_jones_fan_club Posted on 01/07/2017 11:31

Norwich Accept £5m for Jonny Howson

 
Boksic. Think he was born in Morley. The girl who used to cut my hair was from Grassington and her fella is best mates with him.

IP: Logged
JLinardi Posted on 01/07/2017 12:08

Norwich Accept £5m for Jonny Howson

 
£5m for howson or £20m for Ruben Neves?
IP: Logged
borobadge Posted on 07/12/2017 22:38

Norwich Accept £5m for Jonny Howson

 
shrewed...

apparently.
IP: Logged
Zoophonic Posted on 07/12/2017 22:40

Norwich Accept £5m for Jonny Howson

 
What is the matter with you - are you having some kind of mental breakdown badge?
IP: Logged
wartle Posted on 07/12/2017 23:28

Norwich Accept £5m for Jonny Howson

 
At least I can say I told you so
IP: Logged
Foggysfplandiet3 Posted on 07/12/2017 23:34

Norwich Accept £5m for Jonny Howson

 
A few people on here will be cringing reading what they wrote about Howson and how good he is
IP: Logged
Harbottle Posted on 08/12/2017 01:50

Norwich Accept £5m for Jonny Howson

 
A lot of players are good until they come to the Boro, we manage to get the worst out of them.
IP: Logged
wartle Posted on 08/12/2017 08:11

Norwich Accept £5m for Jonny Howson

 
Howson hasn’t ever been “good”.
IP: Logged
Abel_Tasman Posted on 08/12/2017 08:15

Norwich Accept £5m for Jonny Howson

 
His form has improved since the slaughtering the guy got off here in September.
IP: Logged
GraftLikeNegredo Posted on 08/12/2017 09:39
Edited On: 08/12/2017 09:39
Norwich Accept £5m for Jonny Howson

 
He's our best centre midfielder, what a bizarre thread to pull to try and make a point. Some seriously weird individuals on here, what a life you must lead.
IP: Logged
Indeedido Posted on 08/12/2017 10:23

Norwich Accept £5m for Jonny Howson

 
He's really not our best central midfielder - has been an awful buy.
IP: Logged
bear66 Posted on 08/12/2017 10:25

Norwich Accept £5m for Jonny Howson

 
He isn't - he has.
IP: Logged
GraftLikeNegredo Posted on 08/12/2017 10:30

Norwich Accept £5m for Jonny Howson

 
He is, he hasn’t.

Easy this.
IP: Logged
MaggieThatcherRules Posted on 08/12/2017 11:25

Norwich Accept £5m for Jonny Howson

 
I was very critical of Howson through September. However the last few games he has played he has been excellent. Head an shoulders above clayton, leadbitter, forshaw. If he keeps up that kind of form he is clearly our best midfielder.

IP: Logged
bear66 Posted on 08/12/2017 11:33

Norwich Accept £5m for Jonny Howson

 
I thought Birmingham was his best game of the season but he wasn't very good against Bristol City, Leeds or Sunderland.
IP: Logged
boro8686 Posted on 08/12/2017 11:36

Norwich Accept £5m for Jonny Howson

 
Howson has not had one 'excellent' game for us. His form has picked up, but that's because he was dog awful before.
Now he's now just distinctly average and, judging by the Bristol game, heading back to his early season form.
IP: Logged
MaggieThatcherRules Posted on 08/12/2017 14:08

Norwich Accept £5m for Jonny Howson

 
Disclaimer on my statement above.

I missed the Bristol City Game entirely, I haven't even seen the highlights. So can't comment on how howson played in that game.
IP: Logged
wilkos_perm Posted on 08/12/2017 14:12

Norwich Accept £5m for Jonny Howson

 
I think Howson has been mixed, but no more so that others. In some games he's been one of our best players and people have still commented on him for whatever reason rather than players who were far worse.
Overall though it just seems symptomatic of the state we're in and how disjointed the team is. We've got players who been proven either with us previously, or at other clubs, and we're struggling to get the best out of any of them. That's got to be down to the manager.
IP: Logged
Corcaigh_the_Cat Posted on 08/12/2017 15:11

Norwich Accept £5m for Jonny Howson

 
Strange how the blokes that have arrived in the last season or two get the pelters on here all of the time, whilst the bang average long termers get away scot free, apart from Friend.

Clayton and Forshaw team up in midfield, lose 3-0 at home, not a dicky bird.
IP: Logged
bear66 Posted on 08/12/2017 15:13

Norwich Accept £5m for Jonny Howson

 
Forshaw has very few proponents. Easy + ... ?

IP: Logged
JLinardi Posted on 08/12/2017 15:16

Norwich Accept £5m for Jonny Howson

 
Agree corcaigh

Also it's accepted that leadbitter, Clayton, friend, Ayala etc are playing below themselves because of monk, yet the likes of Howson are supposed to be immune to this and be great every week.

It's almost impossible for an individual to shine in such a poor functioning unit. It's like buying a PS4 and saying it's schite because your TVs broke.
IP: Logged
bear66 Posted on 08/12/2017 16:11

Norwich Accept £5m for Jonny Howson

 
Perhaps we should try Clayton and Leadbitter in the middle? A combination we haven't lost with this season.
IP: Logged
wartle Posted on 08/12/2017 16:40

Norwich Accept £5m for Jonny Howson

 
All our Midfield are turd.

My point is, and remains that we are better as a "team" with Grant and Clayton in the middle. These two play better than any other combination imo. Playing these two has become a necessity because of just how disjointed we look. Any other derivative has quite frankly more often than not been embarrassing.
IP: Logged
bear66 Posted on 08/12/2017 16:49

Norwich Accept £5m for Jonny Howson

 
Totally agree.
IP: Logged
redlips Posted on 08/12/2017 16:53

Norwich Accept £5m for Jonny Howson

 
We have been mugged he is powder puff. I must be watching a different game to everyone.
IP: Logged
bear66 Posted on 08/12/2017 17:12

Norwich Accept £5m for Jonny Howson

 
Most agree with you.
IP: Logged
mwelolo Posted on 08/12/2017 17:38

Norwich Accept £5m for Jonny Howson

 
For me all of our centre mids are of a similar standard and all are very limited.

Centre mid is a particularly weak area of our 'fantastic squad'.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2017 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103